### File

`packages/base/src/lib/eui-models/eui-service.model.ts`

### Index

###### Methods

- getState
- getState
- getState
- getState
- init
- updateState

### Methods

getState
`getState()`

Type parameters :

- K

retrieves the State of the service. If you don't pass anything it will retrieve the whole State of that service. If you pass a selector or MapFunction it will retrieve a slice of the state. If you pass a string that's a key of the Service State type it will retrieve that slice of the state. Returns : `Observable<T>`

getState
`getState(mapFn: (state: T) => void)`

Type parameters :

- K

Parameters :

Name | Type | Optional
mapFn | `function` | No

Returns : `Observable<K>`

getState
`getState(key: A)`

Type parameters :

- A

Parameters :

Name | Type | Optional
key | `A` | No

Returns : `Observable<>`

getState
`getState(keyOrMapFn?: | string)`

Type parameters :

- K

Parameters :

Name | Type | Optional
keyOrMapFn | `| string` | Yes

Returns : `Observable<K>`

init
`init(t: T)`

Parameters :

Name | Type | Optional
t | `T` | No

Returns : `Observable<EuiServiceStatus>`

updateState
`updateState(t: T)`

Parameters :

Name | Type | Optional
t | `T` | No

Returns : `void`

# results matching ""

# No results matching ""